### Method

# ICalGLib Component get_current_property

since: 1.0

#### Declaration [src]

    ICalProperty*
    i_cal_component_get_current_property (
      ICalComponent* component
    )

#### Description [src]

Gets the current `ICalProperty` in `ICalComponent`.

Available since: 1.0

#### Return value

Type: `ICalProperty`

The current `ICalProperty`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.